Allow additional plug-ins to run unsandboxed
authoryouenn@apple.com <youenn@apple.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Thu, 20 Sep 2018 23:17:35 +0000 (23:17 +0000)
committeryouenn@apple.com <youenn@apple.com@268f45cc-cd09-0410-ab3c-d52691b4dbfc>
Thu, 20 Sep 2018 23:17:35 +0000 (23:17 +0000)
https://bugs.webkit.org/show_bug.cgi?id=189791
<rdar://problem/44628127>

Reviewed by Brent Fulgham.

* UIProcess/Plugins/mac/PluginInfoStoreMac.mm:
(WebKit::PluginInfoStore::shouldAllowPluginToRunUnsandboxed):

git-svn-id: https://svn.webkit.org/repository/webkit/trunk@236291 268f45cc-cd09-0410-ab3c-d52691b4dbfc

Source/WebKit/ChangeLog
Source/WebKit/UIProcess/Plugins/mac/PluginInfoStoreMac.mm

index 1ab5ee5..73649c0 100644 (file)
@@ -1,3 +1,14 @@
+2018-09-20  Youenn Fablet  <youenn@apple.com>
+
+        Allow additional plug-ins to run unsandboxed
+        https://bugs.webkit.org/show_bug.cgi?id=189791
+        <rdar://problem/44628127>
+
+        Reviewed by Brent Fulgham.
+
+        * UIProcess/Plugins/mac/PluginInfoStoreMac.mm:
+        (WebKit::PluginInfoStore::shouldAllowPluginToRunUnsandboxed):
+
 2018-09-20  Brent Fulgham  <bfulgham@apple.com>
 
         InjectedBundle parameters often need initialization function called before unarchiving
index 2c3d735..c2a369f 100644 (file)
@@ -93,7 +93,15 @@ bool PluginInfoStore::shouldAllowPluginToRunUnsandboxed(const String& pluginBund
         || pluginBundleIdentifier == "com.google.o1dbrowserplugin"_s
         || pluginBundleIdentifier == "com.apple.NPSafeInput"_s
         || pluginBundleIdentifier == "com.apple.BocomSubmitCtrl"_s
-        || pluginBundleIdentifier == "com.ftsafe.NPAPI-Core-Safe-SoftKeybaord.plugin.rfc1034identifier"_s;
+        || pluginBundleIdentifier == "com.ftsafe.NPAPI-Core-Safe-SoftKeybaord.plugin.rfc1034identifier"_s
+        || pluginBundleIdentifier == "com.cfca.npSecEditCtl.MAC.BOC.plugin"_s
+        || pluginBundleIdentifier == "cfca.com.npCryptoKit.MAC.BOC"_s
+        || pluginBundleIdentifier == "cfca.com.npP11CertEnroll.MAC.BOC"_s
+        || pluginBundleIdentifier == "cfca.com.npCryptoKit.UnionPay.MAC"_s
+        || pluginBundleIdentifier == "cfca.com.npP11CertEnroll.MAC.UnionPay"_s
+        || pluginBundleIdentifier == "Bocom.netsignplugin"_s
+        || pluginBundleIdentifier == "cfca.com.npP11CertEnroll.MAC.CGB"_s
+        || pluginBundleIdentifier == "cfca.com.npCryptoKit.CGB.MAC"_s;
 }
 
 bool PluginInfoStore::shouldUsePlugin(Vector<PluginModuleInfo>& alreadyLoadedPlugins, const PluginModuleInfo& plugin)